curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points \
--header 'Authorization: Bearer <token>'{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"totalPoints": 300,
"pointsByType": [
{
"pointType": "Base",
"points": 300,
"subType": null
}
],
"pointsBalance": {
"memberPointsEarned": 600,
"memberPointsDeducted": 100,
"memberPointsUsed": 100,
"memberPointsExpired": 100,
"memberPointsAvailable": 300,
"memberPointsLocked": 100
},
"breakdown": {
"totalPoints": 300,
"totalCurrencyValue": 150,
"unrestrictedPoints": {
"totalCurrencyValue": 100,
"totalPoints": 200,
"unrestrictedPointsItems": [
{
"points": 200,
"pointType": "Base"
}
]
},
"restrictedPoints": {
"totalPoints": 100,
"totalCurrencyValue": 50,
"restrictedPointsItems": [
{
"points": 100,
"pointType": "Base",
"restrictedLocation": "4321"
}
]
}
}
}
]
}Gets all active and pending (excluding expired) member points along with the points breakdown.
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points \
--header 'Authorization: Bearer <token>'{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"totalPoints": 300,
"pointsByType": [
{
"pointType": "Base",
"points": 300,
"subType": null
}
],
"pointsBalance": {
"memberPointsEarned": 600,
"memberPointsDeducted": 100,
"memberPointsUsed": 100,
"memberPointsExpired": 100,
"memberPointsAvailable": 300,
"memberPointsLocked": 100
},
"breakdown": {
"totalPoints": 300,
"totalCurrencyValue": 150,
"unrestrictedPoints": {
"totalCurrencyValue": 100,
"totalPoints": 200,
"unrestrictedPointsItems": [
{
"points": 200,
"pointType": "Base"
}
]
},
"restrictedPoints": {
"totalPoints": 100,
"totalCurrencyValue": 50,
"restrictedPointsItems": [
{
"points": 100,
"pointType": "Base",
"restrictedLocation": "4321"
}
]
}
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Profile ID. It is generated in the response of the Enroll Member endpoint - POST /v1/members.
OK
Response of the Get Member Points endpoint
Status of the call
200
Message corresponding to the call
""
Error details, if applicable
{}Show child attributes
Total number of active and pending points (excluding the expired points).
300
Show child attributes
Point type. Categorized as:
1) Base points: Earned in any purchase transaction based on the core rule.
2) Bonus points: Earned as a bonus for example on a large purchase.
3) Promotional Points: Earned as part of promotional events.
4) Restricted Points: Points to be used only on specific entity or stores.
1"Base"
Total number of points
300
Subtypes of the points (configurable, if required)
null
Show child attributes
Total points earned by member
600
Total points deducted for member
100
Total points redeemed (burned) by member
100
Total points that have expired for the member
100
Total points available for use by the member
300
Restricted points that can be used only at a specific entity or store
100
Show child attributes
Total number of available points
300
Monetary value of total points
150
Details of unrestricted available points.
Show child attributes
Monetary value of the unrestricted points.
100
Total number of unrestricted points (Base + Bonus + Promotional).
200
Show child attributes
Unrestricted points of this particular point-type
200
Type of points. Categorized as:
1) Base points - Earned in any purchase transaction, based on the core rule.
2) Bonus points - Earned as a bonus for example on a large purchase.
3) Promotional Points - Earned as part of promotional events.
1"Base"
Details of restricted available points.
Show child attributes
Total number of restricted points that can be used only at a specific entity or store.
100
Monetary value of restricted points
50
Show child attributes
Restricted points that can be used at this location or store
100
Entity or store-specific (restricted) point type.
1"Base"
ID of the entity or store where the restricted points can be redeemed
1"4321"
Was this page helpful?